var userid = "G77SwhY9nzGwayfXh"

window.onload = function () {
    document.getElementById('contact-form').addEventListener('submit', function (event) {
        event.preventDefault();

        emailjs.init(userid);
        var thename = document.getElementById('fullname').value;
        var themail = document.getElementById('email').value;
        var themsg = document.getElementById('message').value;
        var form = document.getElementById('contact-form');
        let reply = document.getElementById('response');

        var validmail = /^w+([.-]?w+)*@w+([.-]?w+)*(.w{2,3})+$/;
        if (thename == "") {
            reply.innerHTML = "Please enter your name"
        }
        else if (themail == "" || themail.match(!validmail)) {
            reply.innerHTML = "Please enter a valid email address"
        }
        else if (themsg == "") {
            reply.innerHTML = "Please enter a message"
        }
        else {
            var contactdetail = {
                from_name: thename,
                from_email: themail,
                message: themsg
            };
            
            emailjs.sendForm('service_uogl2ok', 'template_pjesd4p', form)
                .then(() => {
                    alert('Your message has been sent successfully! You will get a response as soon as possible.');
                }, (error) => {
                    console.log('There was an error. Please, try again.', error);
                });
            }
    });
}